| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_ext_menubar_t Struct Reference

Represents a node in the plugin-registered menubar tree (menu, item, separator, or URL). More...

`#include <plugin_if.h>`

## Public Attributes
ext_menubar_entry_t | type
ext_menu_t * | parent
int | proto
GList * | children
unsigned | submenu_cnt
unsigned | item_cnt
char * | name
char * | label
char * | tooltip
bool | is_plugin
void * | user_data
ext_menubar_action_cb | callback
char * | parent_menu

## Detailed Description

Represents a node in the plugin-registered menubar tree (menu, item, separator, or URL).

## Member Data Documentation

## ◆ callback

ext_menubar_action_cb _ext_menubar_t::callback

Action callback invoked when the item is activated, or NULL

## ◆ children

GList* _ext_menubar_t::children

Ordered list of child ext_menubar_t nodes (menus only)

## ◆ is_plugin

bool _ext_menubar_t::is_plugin

True if this entry was registered by a plugin

## ◆ item_cnt

unsigned _ext_menubar_t::item_cnt

Number of direct item/URL/separator children

## ◆ label

char* _ext_menubar_t::label

Display label shown in the GUI menu

## ◆ name

char* _ext_menubar_t::name

Internal identifier name for this entry

## ◆ parent

ext_menu_t* _ext_menubar_t::parent

Parent menu node, or NULL if this is a top-level menu

## ◆ parent_menu

char* _ext_menubar_t::parent_menu

Name of the top-level menu under which this entry should appear

## ◆ proto

int _ext_menubar_t::proto

Protocol ID this menu entry is associated with

## ◆ submenu_cnt

unsigned _ext_menubar_t::submenu_cnt

Number of direct submenu children

## ◆ tooltip

char* _ext_menubar_t::tooltip

Tooltip text shown on hover, or NULL

## ◆ type

ext_menubar_entry_t _ext_menubar_t::type

Node type: menu, item, separator, or URL

## ◆ user_data

void* _ext_menubar_t::user_data

Caller-supplied context pointer forwarded to `callback`

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/ui/plugins/include/plugin_if.h